## poretools 0.5.1

=== requirements.txt ===
h5py>=2.0.0
rpy2>=2.4.2

=== debian/changelog ===
poretools (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #811154)

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 03 Feb 2016 21:38:20 -0800

=== debian/control ===
Source: poretools
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	python-all,
	python-setuptools,
	python-h5py (>= 2.0.0),
	python-rpy2 (>= 2.4.2),
Standards-Version: 3.9.6
Homepage: http://poretools.readthedocs.org
Vcs-Git: git://anonscm.debian.org/debian-med/poretools.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/poretools.git

Package: poretools
Architecture: all
Depends:
	${misc:Depends},
	${python:Depends},
	python-pkg-resources
Description: toolkit for nanopore nucleotide sequencing data
 poretools is a flexible toolkit for exploring datasets generated by nanopore
 sequencing devices from MinION for the purposes of quality control and
 downstream analysis. Poretools operates directly on the native FAST5 (a
 variant of the HDF5 standard) file format produced by ONT and provides a
 wealth of format conversion utilities and data exploration and visualization
 tools.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

%:
	LC_ALL=C.UTF-8 dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/poretools-$1.tar.gz/" \
         https://github.com/arq5x/poretools/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## poretools 0.6.0%2Bdfsg

=== debian/control ===
Source: poretools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-h5py,
               python3-matplotlib,
               python3-seaborn,
               python3-pandas
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/poretools
Vcs-Git: https://salsa.debian.org/med-team/poretools.git
Homepage: https://poretools.readthedocs.org
Rules-Requires-Root: no

Package: poretools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pkg-resources
Description: toolkit for nanopore nucleotide sequencing data
 poretools is a flexible toolkit for exploring datasets generated by nanopore
 sequencing devices from MinION for the purposes of quality control and
 downstream analysis. Poretools operates directly on the native FAST5 (a
 variant of the HDF5 standard) file format produced by ONT and provides a
 wealth of format conversion utilities and data exploration and visualization
 tools.

Package: poretools-data
Architecture: all
Depends: ${misc:Depends}
Description: toolkit for nanopore nucleotide sequencing data -- sample datasets
 poretools is a flexible toolkit for exploring datasets generated by nanopore
 sequencing devices from MinION for the purposes of quality control and
 downstream analysis. Poretools operates directly on the native FAST5 (a
 variant of the HDF5 standard) file format produced by ONT and provides a
 wealth of format conversion utilities and data exploration and visualization
 tools.
 .
 This package provides example nanopore sequencing data in fast5 format.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export LC_ALL=C.UTF-8

export PYBUILD_DESTDIR=debian/poretools

%:
	dh $@ --with python3 --buildsystem=pybuild

## poretools 0.6.0+dfsg

=== requirements.txt ===
h5py>=2.2.0
matplotlib
seaborn
pandas

=== debian/changelog ===
poretools (0.6.0+dfsg-7) unstable; urgency=medium

  * d/control: remove dependency on python3-pkg-resources.
    According to autopkgtest results and manual checks in the source code,
    this module is now unneeded. (Closes: #1083552)
  * d/watch: bump to file format version 4.
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: declare poretools-data M-A foreign.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Wed, 16 Oct 2024 16:07:24 +0200

poretools (0.6.0+dfsg-6) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with new matplotlib 3.6.2 (Closes: #1027169)
  * Explicitly depend on python3-h5py which somehow does not get picked
    up by debhelper

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 13:46:47 +0530

poretools (0.6.0+dfsg-5) unstable; urgency=medium

  * Team Upload.

  [ Steffen Möller ]
  * Added ref to conda

  [ Nilesh Patra ]
  * Fix circular import, "poretools times" output
  * Add autopkgtests
  * Fix with cme
  * Update upstream/metadata
  * Remove un-needed override

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 03 Jun 2020 13:42:21 +0200

poretools (0.6.0+dfsg-4) unstable; urgency=medium

  [ Steve Langasek ]
  * Port to Python3
    Closes: #934845

  [ Andreas Tille ]
  * Afif removed himself from Uploaders
  * Add myself to Uploaders
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Thu, 15 Aug 2019 23:44:33 +0200

poretools (0.6.0+dfsg-3) unstable; urgency=low

  * Team upload.

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added reference to registries.

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jul 2018 09:48:29 +0200

poretools (0.6.0+dfsg-2) unstable; urgency=low

  * new binary package: poretools-data
  * Clean up d/rules

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Dec 2016 00:53:34 -0800

poretools (0.6.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.6.0+dfsg
    - Update package dependencies
  * Reformat debian/watch
  * Exclude Dockerfile and windows executables from source distribution
    (Closes: #836553)
  * Update email address and copyright year
  * Bump Standards-Version
  * Use encrypted protocols for Vcs URLs

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Sep 2016 17:04:55 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: poretools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +12,7 @@
                python3-matplotlib,
                python3-seaborn,
                python3-pandas
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/poretools
 Vcs-Git: https://salsa.debian.org/med-team/poretools.git
 Homepage: https://poretools.readthedocs.org
@@ -21,7 +22,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-pkg-resources
+         python3-h5py
 Description: toolkit for nanopore nucleotide sequencing data
  poretools is a flexible toolkit for exploring datasets generated by nanopore
  sequencing devices from MinION for the purposes of quality control and
@@ -32,6 +33,7 @@
 
 Package: poretools-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: toolkit for nanopore nucleotide sequencing data -- sample datasets
  poretools is a flexible toolkit for exploring datasets generated by nanopore

=== debian/watch ===
version=4

opts="\
	dversionmangle=s/\+dfsg\d*$//, \
	repacksuffix=+dfsg, \
	filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/poretools-$1.tar.gz/ \
" \
	https://github.com/arq5x/poretools/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
